/*
 * Simple Java code to send commands to the RedRatHubCmd application via a socket.
 *
 * Chris Dodge - RedRat Ltd.
 */

package redrat.redrathubclient;

public class RedRatHubDemo
{
    public static void main(String[] args)
    {
        try
        {
            Client client = new Client();
            String rrDeviceName = "RR3-2";

            // Connect to the RedRatHub
            client.openSocket("localhost", 40000);

            // Send some IR signals
            client.sendMessage(String.format("name=\"%s\" dataset=\"Sky+\" signal=\"9\"", rrDeviceName));
            System.out.println("Sent signal\n");
            Thread.sleep(2000);

            client.sendMessage(String.format("name=\"%s\" dataset=\"Sky+\" signal=\"9\"", rrDeviceName));
            System.out.println("Sent signal\n");
            Thread.sleep(2000);

            client.sendMessage(String.format("name=\"%s\" dataset=\"Sky+\" signal=\"9\"", rrDeviceName));
            System.out.println("Sent signal\n");
            Thread.sleep(2000);

                // List the datasets known by the hub
            System.out.println("List of datasets:");
            String list = client.readData("hubquery=\"list datasets\"");
            System.out.println(list);

            client.closeSocket();
        }
        catch (Exception ex)
        {
            System.err.println(ex.getMessage());
        }
        finally
        {
            System.out.println("Finished. Hit <RETURN> to exit...");
            System.console().readLine();
        }
    }
}
